# Maximum serial port number

You can specify the maximum serial port number (maximum value of n for COMn) to be listed in the [File] New connection and [Setup] Serial port dialog boxes. To specify the maximum number, edit the MaxComPort line in the [Tera Term] section of the setup file like the following:

    MaxComPort=<maximum serial port number>

The maximum serial port number can not be less than 4 even if the actual maximum number is less than 4.
Configurable maximum number is in the following:
4096 (version 4.65 or later)
256 (version 4.55 or later)
99 (version 4.24 or later)
16 (version less than 4.24)

    Default:
    MaxComPort=256

# Don't clear COM buffer when serial port opening.

In the default setup, Tera Term cleaning COM buffer when serial port opening.

To disable COM buffer cleaning, edit the ClearComBuffOnOpen line in the [Tera Term] section of the setup file like the following:

    ClearComBuffOnOpen=off

    Default:
    ClearComBuffOnOpen=on

# Disabling the warning on TCP/IP disconnection

In the default setup, Tera Term displays the warning message "Disconnect ?" when you try to close the TCP/IP connection by using the "Close" command in the system menu (or by double clicking the icon at upper left corner of the window).

To disable this warning message, edit the ConfirmDisconnect line in the [Tera Term] section of the setup file like the following:

    ConfirmDisconnect=off

    Default:
    ConfirmDisconnect=on

# Telnet binary option

To enable the telnet binary option, edit the TelBin line in the [Tera Term] section of the setup file like the following:

    TelBin=on

You can also specify the binary option on the command line (/B option).

    Default:
    TelBin=off

# Telnet echo option

If you edit the TelEcho line in the [Tera Term] section of the setup file like the following:

    TelEcho=on

Tera Term tries to change the host's echoing (remote echoing) status, depending on the status of "Local echo" option in the [Setup] Terminal dialog box. If "Local echo" is (not) checked, Tera Term tries to make the remote echoing off (on), to avoid double echoing or no echoing at the remote host and Tera Term. Note that this mechanism does not work for hosts which do not support the telnet echo option.

    Default:
    TelEcho=off

# Telnet log

To log option-negotiation data of a telnet session to the file TELNET.LOG, edit the TelLog line in the [Tera Term] section of the setup file like the following:

    TelLog=on

    Default:
    TelLog=off

# Telnet port number / Terminal setup for non-telnet connection

## Telnet port number

On the command line, or on the [File] New connection dialog box, you can specify the TCP port number (<TCP port#>) and telnet flag (<telnet flag>) for a TCP/IP connection. If these parameters are omitted in the command line, the default values are taken from the Tera Term setup file.

Only if <telnet flag> is 1 (on) and <TCP port#> is 23, Tera Term starts spontaneously sending telnet commands to the host for the option negotiation when the TCP/IP connection is established.

This particular port number for telnet, 23, can be changed by editing the TelPort line in the [Tera Term] section of setup file like the following:

    TelPort=<telnet port#>

    Default:
    TelPort=23

Whatever <TCP port#> is and whatever <telnet flag> is, Tera Term can respond to telnet commands sent by the host. (except TelAutoDetect setting is off.)

## Terminal setup for non-telnet TCP/IP connection

For a non-telnet TCP/IP connection (usually with a port other than 23), you may need to set the "local echo" option on, and the "new-line (transmit)" option to CR+LF. If you edit the TCPLocalEcho and TCPCRSend lines in the [Tera Term] section of the setup file like the following:

    TCPLocalEcho=on
    TCPCRSend=CRLF    (CR is also acceptable)

the "local echo" option is turned on and the "new-line (transmit)" option is set to CRLF automatically when the connection is established on condition that <telnet flag> is 0 (off), or <TCP port#> is not equal to <telnet port#>. Otherwise, setup values specified by [Setup] Terminal are used. By using these options, one setup file can support both the telnet connection and non-telnet connection.

    Default:
    TCPLocalEcho=off
    ; (This option is disabled and the "local echo" option
    ; in the [Setup] Terminal dialog box is always used.)
    TCPCRSend=
    ; (This option is disabled and the "new-line (transmit)" option
    ; in the [Setup] Terminal dialog box is always used.)

# Disable Auto-Detect mode of Telnet command

Tera Term will detect a command of Telnet sent from host even a connection is in non-Telnet mode.Once it detects a command, a connection is treated as if in Telnet mode.
However, there is a possible problem that a connection is forced to Telnet mode when a character of '0xFF' is sent from Tera Term, it will be echoed back and is recognized as Telnet command.

This problem can be avoided by changing TelAutoDetect in [Tera Term] section of configuration file as follows,

    TelAutoDetect=off

    Default:
    TelAutoDetect=on

# Disabling "Line at a time" mode

Tera Term now supports for "Line at a time" mode from version 4.63.
Since the default value of this setting is on, when it is used in TCP/IP connection, input characters are not sent until the line feed is inputed. But, this setting is disabled (forced to "Character at a time" mode) when following situations:

- ssh connection
- when a server becomes echo-back mode (received WILL ECHO) in telnet negotiation
- SGA request (WILL SGA) of Tera Term is accepted (received DO SGA) in telnet negotiation

In any connection mode other than telnet and SSH, the above condition is not met and therefore, "Line at a time" mode is enabled.
To send the key input immediately, edit the EnableLineMode line in the [Tera Term] section of the setup file like the following:

    EnableLineMode=off

    Default:
    EnableLineMode=on

# Pause time while the break signal is sending to the serial port

When the break signal is sent to the serial port, the default pause time is 1000 msec.
To change the pause time, edit change the SendBreakTime entry in the [Tera Term] of the setup file.

    SendBreakTime=2000

    Default:
    SendBreakTime=1000

# Automatic COM port Reconnection

The serial console is disconnected when the USB serial cable is extracted. Next, the serial console is connected when the serial cable is inserted.

This feature is enabled on the Windows XP or later.

If this feature is not used, please change the AutoComPortReconnect entry of the [Tera Term] section in the teraterm.ini file.

    AutoComPortReconnect=off

    Default:
    AutoComPortReconnect=on

# Wait for COM port connection

Tera Term waits for port connection when the serial port does not exist.

This feature is enabled on the Windows XP or later.
AutoComPortReconnect entry should be on.

If this feature is not used, please change the WaitCom entry of the [Tera Term] section in the teraterm.ini file.

    WaitCom=off

    Default:
    WaitCom=off

# Change the terminal speed notifies to server

When Telnet or SSH connection is started, Tera Term notifies the terminal speed to the server.

You can specify the maximum serial port number (maximum value of n for COMn) to be listed in the [File] New connection and [Setup] Serial port dialog boxes. To specify the maximum number, edit the MaxComPort line in the [Tera Term] section of the setup file like the following:

To change the terminal speed notifies to the server, edit the TerminalSpeed line in the [Tera Term] section of the setup file like the following:

    TerminalSpeed=<Transmit Speed>,<Receive Speed>

For example, notifies the transmit speed as 38400bps and receive speed as 9600bps, configure the TerminalSpeed entry as follows:

    TerminalSpeed=38400,9600

When only one value is specified as below, this value is used as both of the transmit speed and received speed.

    TerminalSpeed=<Speed>

    Default:
    TerminalSpeed=38400